/*
 * (c) 2005 by Simon Gander <simongander@gmx.ch>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package guettingen;

import java.applet.*;
import java.awt.*;
import java.net.URL;

public class Stellwerk extends Applet {
	public void start() {
		URL code_base = getCodeBase();
		System.out.println(code_base.toString());
		
		setLayout (new BorderLayout());
		hf = new Hauptfenster ();
		add (hf, BorderLayout.CENTER);
		setVisible (true);
//		resize (1000, 700);
	}
	
	public void paint(Graphics g) {
		hf.paint(g);
	}
		
	public static void main(String[] args) {
		f = new Frame ("Stellwerk-Simulation Guettingen (c) 2005 Simon Gander");
		f.setLayout (new BorderLayout());
		wl = new WinListener ();
		hf = new Hauptfenster ();
//		f.setSize (1008, 727);
//		f.setSize (1100, 800);
		f.setVisible(true);
		f.add(hf, BorderLayout.CENTER);
		f.addWindowListener (wl);
		f.pack();
	}
	
	static WinListener wl;
	static Hauptfenster hf;
	static Frame f;
	
	static final long serialVersionUID = -7896811756886984312L;
}
