/*
 * (c) 2005 by Simon Gander <simongander@gmx.ch>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

package guettingen;

import java.awt.*;
import java.awt.event.*;

class WinListener implements WindowListener {
	public void windowActivated (WindowEvent e) { }
	public void windowClosed (WindowEvent e) {
		System.exit(0);
	}
	public void windowClosing (WindowEvent e) {
		Window w = e.getWindow ();
		w.dispose();
	}
	public void windowDeactivated (WindowEvent e) { }
	public void windowDeiconified (WindowEvent e) { }
	public void windowIconified (WindowEvent e) { }
	public void windowOpened (WindowEvent e) { }
}
 
